*{
    margin: 0;
    padding: 0;
}

body{
    position: relative;
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: black;
    color: rgb(218, 209, 209);
    position: relative;
}

nav{
    margin: 12px;
}

nav ul{
    list-style: none;
    transition: background-color 0.3s ease-out;
    transform: color 0.3s ease-out;
}

nav ul li{
    padding: 4px 8px;
    border: none;
    border-radius: 10px;
}

nav ul li:hover{
    background-color: bisque;
    color: black;
}

nav .left{
    margin-left: 16px;
}

nav .left img{
    object-fit: contain;
    border: 1px solid white;
    border-radius: 28px;
    background-color: rgb(116, 112, 112);;
}

nav .right button{
    padding: 8px 12px;
    border: none;
    border-radius: 10px;
    background-color: bisque;
}

aside{
    width: 16vw;
    position: absolute;
    left: 0;
    margin: 0 16px 0 0;
    padding: 16px;
}


aside ul{
    margin-top: 24px;
    list-style: none;
    display: flex;
    flex-flow: column wrap;
    gap: 30px;
}


a{
    text-decoration: none;
    color: white;
    font-size: large;
}

main{
    position: absolute;
    margin: auto;
    width: 80vw;
    right: 40px;
    border: 1px solid white;
}

main article{
    margin: 24px;
}

main article section, main article .picture-grid{
    margin: 24px 0;
}

main article section p{
    margin: 8px;
}

main article section h3{
    margin-top: 12px;;
}

main article section .tech_compositor{
    display: flex;
    margin-top: 12px;
    flex-direction: column;
    gap: 8px;
}

main article section .tech_compositor .component{
    display: flex;
    gap: 24px;
    align-items: center;
}

main article section .tech_compositor .component .component-logos{
    display: flex;
    flex-flow: row wrap;
    gap: 16px;
}

main article section .tech_compositor button{
    padding: 12px 20px;
    border: none;
    border-radius: 30px;
    background-color: #29292b;
    color: white;
}

span{
    color: hotpink;
    font-weight: bold;
}

ul, ol{
    margin: 8px 00 8px;
}

ul li, ol li{
    margin: 6px 0 0 24px;
}

ol li summary{
    margin: 16px 0;
}

ol li details{
    margin: 12px 0 0 24px;
}

.divider{
    width: 70%;
    height: 2px;
    margin: auto;
    background-color: aliceblue;
}


h1{
    color: bisque
}

.picture-grid{
    columns: 50px 2;
    column-gap: 8px;
}

.picture-grid img{
    width: 100%;
    filter:sepia(0.3);
}

#linux_article p{
    margin: 12px 0;
}

#linux_article .logos{
    display: flex;
    flex-flow: row wrap;
    gap: 30px;
    margin: 20px;
}